Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 335258 - media-video/luvcview does not respect LDFLAGS
Summary: media-video/luvcview does not respect LDFLAGS
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High QA (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: ldflags
  Show dependency tree
 
Reported: 2010-08-30 12:54 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2011-03-28 03:28 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (luvcview-20070512:20100830-125511.log,7.49 KB, text/plain)
2010-08-30 12:54 UTC, Diego Elio Pettenò (RETIRED)
Details
patch fixing LDFLAG issues (lucview-20070512.ebuild.patch,334 bytes, patch)
2010-08-30 14:41 UTC, Ross Smith
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2010-08-30 12:54:48 UTC
See attached build log.

(Please do not complain about the need for looking at the build log until you can provide an easy way to open bugs with the correct data picked out of a tinderbox log. Thanks.)
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2010-08-30 12:54:57 UTC
Created attachment 245355 [details]
Build log
Comment 2 Ross Smith 2010-08-30 14:41:57 UTC
Created attachment 245370 [details, diff]
patch fixing LDFLAG issues
Comment 3 Gef 2010-09-06 12:34:28 UTC
Proposed patch works for me, no more QA warning

---------------------------
x86_64-pc-linux-gnu-gcc -Wl,-O1 -Wl,--as-needed -Wl,--sort-common -Wl,--hash-style=gnu	-O2 -march=native -pipe -ftree-vectorize -floop-interchange -floop-strip-mine -floop-block -DUSE_SDL  -DLINUX -DVERSION=\"0.2.1\" -I-I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT  luvcview.o color.o utils.o v4l2uvc.o gui.o avilib.o  \
		 \
		-lSDL -lpthread \
		-o luvcview
---------------------------
Comment 4 Samuli Suominen gentoo-dev 2011-03-28 03:28:57 UTC
Fixed in 0.2.6's ebuild